petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecCUDAReplaceArray

Allows one to replace the GPU array in a vector with a GPU array provided by the user. This is useful to avoid copying a GPU array into a vector.

### Synopsis

    PetscErrorCode VecCUDAReplaceArray(Vec vin,PetscScalar *a)

Not Collective

### Input Parameters

| vec | - the vector
| array | - the GPU array

### Notes

This permanently replaces the GPU array and frees the memory associated with the old GPU array.

The memory passed in CANNOT be freed by the user. It will be freed when the vector is destroyed.

Not supported from Fortran

### See Also

VecGetArray(), VecRestoreArray(), VecPlaceArray(), VecResetArray(), VecCUDAResetArray(), VecCUDAPlaceArray(), VecReplaceArray()

Level:developer
Location:src/vec/vec/impls/seq/seqcuda/veccuda2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages